読者です 読者をやめる 読者になる 読者になる

Matthewの備忘録

忘れたときはここを見ろ。何か書いてある。

Emacs24

 久々に動かしているUbuntu環境でEmacsが使いたくなったのでapt-get instlal emacsを実行していしまい、バージョン23がインストールされてしまった。これでは最新の設定解説資料と合わない。利用しているUbuntuは12.04 LTSなので、次のようにリポジトリを追加してバイナリ―版をインストールした。

$ sudo add-apt-repository ppa:cassou/emacs
$ sudo apt-get update
$ sudo apt-get install emacs24 emacs24-el

また、~/.emacsではなく~/.emacs.d/init.elの利用が推奨されたので、mkdirでディレクトリを作り、init.elファイルを置いた。Emacs24には配色などがカスタマイズされたテーマが沢山はいっているので、init.elには次のように書いておいた:

(setq load-path (cons "~/.emacs.d/elisp" load-path))
(load-theme 'manoj-dark t)

参考: